Bug 1971404 - Review Request: rust-image-roll - Image Roll is a simple GTK image viewer
Summary: Review Request: rust-image-roll - Image Roll is a simple GTK image viewer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-14 03:06 UTC by Rémi Lauzier
Modified: 2021-07-01 01:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-01 01:14:11 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2021-06-18 15:10:46 UTC
 - Bump to 1.1.1

 - License ok
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 3 Gwyn Ciesla 2021-06-21 14:36:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-image-roll

Comment 4 Fedora Update System 2021-06-21 21:12:58 UTC
FEDORA-2021-b8a1a438ef has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b8a1a438ef

Comment 5 Fedora Update System 2021-06-22 01:05:06 UTC
FEDORA-2021-b8a1a438ef has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-b8a1a438ef \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b8a1a438ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fabio Valentini 2021-06-22 13:45:44 UTC
This package contains a binary, so the license tag of the subpackage that contains the binary is missing.
It should be the effective license of image-roll plus all statically linked dependencies.
Looks like this was missed during the review process ...

If you need help with determining the correct License tag, please ping me on IRC / Matrix.

Comment 7 Rémi Lauzier 2021-06-22 14:55:04 UTC
Not sure what to do here since there is only a binary and no subpackage. I could always put the license of the library it need if that is what you are talking about.

Comment 8 Fabio Valentini 2021-06-22 15:39:41 UTC
I thought you created this package? ;) There *is* one binary subpackage produced by the name of %{crate}:
https://src.fedoraproject.org/rpms/rust-image-roll/blob/rawhide/f/rust-image-roll.spec#_30

You can look at what I did here for a similar case:
https://src.fedoraproject.org/rpms/rust-fedora-update-feedback/blob/rawhide/f/rust-fedora-update-feedback.spec#_26

To determine the list of Rust dependencies that are present during the build, you can do

mock -r fedora-rawhide-x86_64 --enablerepo local --without check path-to.src.rpm
mock -r fedora-rawhide-x86_64 shell

for i in $(rpm -qa | grep "rust-.*-devel"); do
    rpm -q $i --qf "%{LICENSE}\n";
done | sort | uniq

Which prints a list of licenses like the ones I put into fedora-update-feedback (and all other Rust binary packages I touch).

Comment 9 Fabio Valentini 2021-06-22 15:40:38 UTC
Note that the "--without check" above is important, because otherwise test-only dependencies, which are not actually linked into the final binary, are included too.

Comment 10 Fedora Update System 2021-06-23 02:04:46 UTC
FEDORA-2021-be394de0ec has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-be394de0ec`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-be394de0ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-07-01 01:14:11 UTC
FEDORA-2021-be394de0ec has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.